# Introduction #

The purpose of this computer program is to help to compute the
asymptotic expansion coefficients of the heat-trace for a nonminimal Laplace type operator
using a method developed and exposed in the paper
_Heat coefficient a_4 for nonminimal Laplace type operators_ by Bruno Iochum and Thierry Masson.

This computer program is written in `JavaScript` and requires the (free) framework `Node.js` to execute the scripts.
Its current state is production, but many aspects of the program can be improved.

This computer program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.


# Installation and dependencies #

This requires `Node.js` to be installed on your computer:
<https://nodejs.org/>

The `chalk` module is installed in the "node_modules" folder:
<https://www.npmjs.com/package/chalk>

Just copy the folder at any place on your computer.
Then a script file named `the_script.js` can be executed using the command line
`node the_script.js` in the terminal.

The shell script _computations-and-checks.sh_ executes all the computations referred to in the scientific paper.



# Documentation #

All the files have documentation written with the code.
See the LaTeX file _documentation.tex_ in the _DOCUMENTATION_ folder for more information.
